package nc.vo.baseapp.image;

import nc.vo.pub.SuperVO;

public class ImageInvoiceHVO extends SuperVO{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 表头主键
	 */
	private String pk_invoice_h;
	
	/**
	 * 影像ID
	 */
	private String imageId;

	/**
	 * 影像URL
	 */
	private String imageUrl;

	/**
	 * 发票ID
	 */
	private String invoiceId;

	/**
	 * 发票类型
	 * 		s-增值税专用发票
	 * 		c-增值税普通发票
	 * 		ce-增值税电子普通发票
	 * 		cb-增值税电子普通发票(区块链)
	 * 		ct-增值税电子普通发票(通行费)
	 * 		j-机动车统一销售发票
	 * 		v-机动车统一销售发票
	 * 		cj-增值税普通发票(卷票)
	 * 		ju-增值税普通发票(卷票)
	 * 		se-增值税电子专用发票
	 */
	private String invoiceType;

	/**
	 * 新增标识
	 * 		发票是否新增标识 0否 1是
	 */
	private String isAdd;

	/**
	 * 修改标识
	 * 		发票是否修改标识 0否 1是
	 */
	private String isChange;

	/**
	 * 扫描时间(时间戳)
	 */
	private String scanTime;

	/**
	 * 扫描人id
	 */
	private String scanUserId;

	/**
	 * 扫描人名称
	 */
	private String scanUserName;

	/**
	 * 发票类型code
	 * 		增值税发票: ticketInvoice
	 * 		火车票: ticketTrain
	 * 		出租车票: ticketTaxi
	 * 		定额发票: ticketQuota
	 * 		通用机打发票: ticketMachine
	 * 		飞机票: ticketPlane
	 * 		过路费发票: ticketToll
	 * 		二手车发票: ticketUsedCar
	 * 		客运汽车/船发票:ticketBus
	 * 		销货清单:ticketSalesList
	 * 		附件:ticketAttachment
	 */
	private String ticketCode;
	
	// 增值税发票特殊字段：ticketInvoice
	/**
	 * 含税金额
	 */
	public String amountWithTax;
	
	/**
	 * 不含税金额
	 */
	public String amountWithoutTax;
	
	/**
	 * 收款人姓名
	 */
	private String cashierName;

	/**
	 * 合格证号
	 */
	private String certificationNo;

	/**
	 * 税务局编码
	 */
	private String chargeTaxAuthorityCode;

	/**
	 * 税务局名称
	 */
	private String chargeTaxAuthorityName;

	/**
	 * 校验码
	 */
	private String checkCode;

	/**
	 * 复核人姓名
	 */
	private String checkerName;

	/**
	 * 验真备注
	 */
	private String checkRemark;

	/**
	 * 商检单号
	 */
	private String commodityInspectionNo;

	/**
	 * 地区编码
	 */
	private String dqCode;

	/**
	 * 地区名称
	 */
	private String dqName;

	/**
	 * 发动机号码
	 */
	private String engineNo;

	/**
	 * 进口编号
	 */
	private String importCertificateNo;

	/**
	 * 发票代码
	 */
	private String invoiceCode;

	/**
	 * 发票号码
	 */
	private String invoiceNo;

	/**
	 * 发票联次
	 * 		1-发票联，2-抵扣联
	 */
	private String invoiceSheet;

	/**
	 * 发票状态
	 * 		(0-默认 1-正常 2-作废 3-被红冲 4-部分红冲 7-异常 8-失控 9-删除)
	 */
	private String invoiceStatus;

	/**
	 * 开票人姓名
	 */
	private String invoicerName;

	/**
	 * 是否代开
	 * 		税局代开开票：0 否 1 是
	 */
	private String isReplace;

	/**
	 * 机器编码
	 */
	private String machineCode;

	/**
	 * 最大载人数
	 */
	private String maxCapacity;

	/**
	 * 开票日期
	 * 		yyyyMMdd
	 */
	private String paperDrewDate;

	/**
	 * 父影像ID
	 * 		发票类型为fj-附件时关联的影像ID
	 */
	private String parentImageId;

	/**
	 * 产地
	 */
	private String productionArea;

	/**
	 * 购方地址、电话
	 */
	private String purchaserAddrTel;

	/**
	 * 购方银行信息
	 */
	private String purchaserBankNameAccount;

	/**
	 * 购方名称
	 */
	private String purchaserName;

	/**
	 * 购方税号
	 */
	private String purchaserTaxNo;

	/**
	 * 发票备注
	 */
	private String remark;

	/**
	 * 销方地址、电话
	 */
	private String sellerAddrTel;

	/**
	 * 销方银行信息
	 */
	private String sellerBankNameAccount;

	/**
	 * 销方名称
	 */
	private String sellerName;

	/**
	 * 销方税号
	 */
	private String sellerTaxNo;

	/**
	 * 电票文件URL
	 */
	private String sourceFileUrl;

	/**
	 * 特殊发票标记
	 * 		针对电子发票：0-默认 1-通行费 2-成品油 3区块链
	 */
	private String specialInvoiceFlag;

	/**
	 * 税额
	 */
	private String taxAmount;

	/**
	 * 主管税务机关
	 */
	private String taxPaidProof;

	/**
	 * 税率
	 * 		存在混合税率的情况
	 */
	private String taxRate;

	/**
	 * 车辆吨位
	 */
	private String tonnage;

	/**
	 * 车辆品牌
	 */
	private String vehicleBrand;

	/**
	 * 车辆编号
	 */
	private String vehicleNo;

	/**
	 * 车辆类型
	 */
	private String vehicleType;

	/**
	 * 发票预警信息
	 */
	private String warningInfo;
	
	// 火车票特殊字段：ticketTrain
	/**
	 * 凭证号
	 */
	private String certificateNo;
	
	/**
	 * 目的站
	 */
	private String endStation;

	/**
	 * 姓名
	 */
	private String name;

	/**
	 * 二维码
	 */
	private String qrcode;

	/**
	 * 座位号
	 */
	private String seat;

	/**
	 * 座位类型
	 */
	private String seatType;

	/**
	 * 出发日期
	 * 		时间戳
	 */
	private String startDate;

	/**
	 * 出发站
	 */
	private String startStation;

	/**
	 * 出发时间
	 */
	private String startTime;

	/**
	 * 车次
	 */
	private String trains;
//	public String amountWithTax;
//	private String invoiceNo;

	// 出租车特殊字段：ticketTaxi
	/**
	 * 下车时间
	 */
	private String getOffTime;
	
	/**
	 * 上车时间
	 */
	private String getOnTime;

	/**
	 * 里程
	 */
	private String mileage;
//	private String name;

	/**
	 * 发票所在地
	 */
	private String place;
//	private String startDate;
//	private String amountWithTax;
//	private String invoiceCode;
//	private String invoiceNo;
	
	// 定额发票特殊字段：ticketQuota
//	private String invoiceNo;
//	private String invoiceCode;
//	private String amountWithTax;
	
	// 飞机票特殊字段：ticketPlane
	/**
	 * 销售单位代号
	 */
	private String agentCode;

	/**
	 * 民航发展基金
	 */
	private String caacDevelopmentFund;
//	private String checkCode;

	/**
	 * 填开日期
	 */
	private String dateOfIssue;

	/**
	 * 电子客单编号
	 */
	private String eTicketNo;

	/**
	 * 签注
	 */
	private String endorsements;

	/**
	 * 票价
	 */
	private String fare;

	/**
	 * 燃油附加费
	 */
	private String fuelSurcharge;

	/**
	 * 身份证号码
	 */
	private String idNo;

	/**
	 * 提示信息
	 */
	private String information;

	/**
	 * 保险费
	 */
	private String insurance;

	/**
	 * 填开单位
	 */
	private String issuedBy;

	/**
	 * 乘客名称
	 */
	private String nameOfPassenger;

	/**
	 * 印刷序号
	 */
	private String serialNo;

	/**
	 * 其他税费
	 */
	private String tax;

	/**
	 * 总金额
	 */
	private String total;
	
	// 公交车特殊字段：ticketBus
	/**
	 * 承运单位
	 */
	private String carrier;
//	private String endStation;
//	private String name;
//	private String seat;
//	private String startDate;
//	private String startStation;
//	private String startTime;
//	private String trains;
//	private String purchaserName;
//	private String purchaserTaxNo;
//	private String invoiceNo;
//	private String invoiceCode;
//	private String amountWithTax;
	
	// 过路费特殊字段
	/**
	 * 入口
	 */
	private String entrancePlace;

	/**
	 * 出口
	 */
	private String exitplace;

	/**
	 * 付款方式
	 */
	private String payment;
//	private String startDate;

	/**
	 * 乘车时间
	 */
	private String time;

	/**
	 * 超限
	 */
	private String tollLimit;

	/**
	 * 车型
	 */
	private String vehiclesType;

	/**
	 * 车重
	 */
	private String vehiclesWeight;
//	private String invoiceNo;
//	private String invoiceCode;
//	private String amountWithTax;

	// 二手车发票特殊字段
	/**
	 * 拍卖者地址
	 */
	private String auctioneersAddress;

	/**
	 * 拍卖者银行信息
	 */
	private String auctioneersBankInfo;

	/**
	 * 拍卖者名称
	 */
	private String auctioneersName;

	/**
	 * 拍卖者税号
	 */
	private String auctioneersTaxNo;

	/**
	 * 拍卖者电话
	 */
	private String auctioneersTel;

	/**
	 * 车牌号
	 */
	private String carNumber;

	/**
	 * 地区名称
	 */
	private String dpName;
//	private String dqCode;
//	private String machineCode;

	/**
	 * 注册号
	 */
	private String registrationNo;

	/**
	 * 二手车市场地址
	 */
	private String usedCarMarketAddress;

	/**
	 * 二手车市场银行信息
	 */
	private String usedCarMarketBankInfo;

	/**
	 * 二手车市场名称
	 */
	private String usedCarMarketName;

	/**
	 * 二手车市场税号
	 */
	private String usedCarMarketTaxNo;

	/**
	 * 二手车市场电话
	 */
	private String usedCarMarketTel;
//	private String vehicleBrand;
//	private String vehicleNo;

	/**
	 * 地点
	 */
	private String vehiclePlaceName;
//	private String vehicleType;
//	private String purchaserName;

	/**
	 * 购方地址
	 */
	private String purchaserAddress;
//	private String purchaserTaxNo;

	/**
	 * 购方电话
	 */
	private String purchaserTel;
//	private String sellerName;

	/**
	 * 销方地址
	 */
	private String sellerAddress;

	/**
	 * 销方银行名称
	 */
	private String sellerBankName;

	/**
	 * 销方银行账户
	 */
	private String sellerBankAccount;

	/**
	 * 销方电话
	 */
	private String sellerTel;
//	private String amountWithTax;
//	private String invoiceNo;
//	private String invoiceCode;
//	private String paperDrewDate;
//	private String invoiceSheet;

	/**
	 * 密文
	 */
	private String cipherText;
	
	
	// 通用机打发票特殊字段
	/**
	 * 行业分类
	 */
	private String category;

	/**
	 * 网络发票号
	 */
	private String networkNo;
//	private String invoiceNo;
//	private String invoiceCode;
//	private String purchaserName;
//	private String purchaserTaxNo;

	/**
	 * 购方代码
	 */
	private String purchaserCode;
//	private String purchaserAddrTel;
//	private String purchaserAddress;
//	private String purchaserTel;

	/**
	 * 购方银行名称账号
	 */
	private String purchaserBankInfo;

	/**
	 * 购方银行名称
	 */
	private String purchaserBankName;

	/**
	 * 购方银行账号
	 */
	private String purchaserBankAccount;
//	private String sellerName;
//	private String sellerTaxNo;

	/**
	 * 供应商代码
	 */
	private String sellerCode;
//	private String sellerAddrTel;
//	private String sellerAddress;
//	private String sellerTel;

	/**
	 * 销方银行名称账号
	 */
	private String sellerBankInfo;
//	private String sellerBankName;
//	private String sellerBankAccount;
//	private String paperDrewDate;
//	private String checkCode;
//	private String invoiceSheet;

	/**
	 * 收款人
	 */
	private String payee;

	/**
	 * 复核人
	 */
	private String recheck;

	/**
	 * 开票人
	 */
	private String drawer;
//	private String remark;

	/**
	 * 开票日期
	 */
	private String invoiceDate;
//	private String cipherText;
//	private String amountWithTax;
//	private String taxAmount;
//	private String amountWithoutTax;
//	private String machineCode;

	/**
	 * 是否有销货清单
	 */
	private String isSalesList;

	// 附件影像特殊字段：ticketAttachment
//	private String parentImageId;
	
	// 销货清单特殊字段：ticketSalesList
//	private String invoiceNo;
//	private String invoiceCode;
//	private String purchaserName;
//	private String sellerName;

	/**
	 * 小计金额
	 */
	private String subAmountWithoutTax;

	/**
	 * 小计税额
	 */
	private String subTaxAmount;
//	private String paperDrewDate;
	
	
	/**
	 * 时间戳
	 */
	private String ts;
	
	/**
	 * 删除标识
	 */
	private int dr = 0;
	
	/**
	 * 自定义项1
	 */
	private String def1;
	
	/**
	 * 自定义项2
	 */
	private String def2;
	
	/**
	 * 自定义项3
	 */
	private String def3;
	
	/**
	 * 自定义项4
	 */
	private String def4;
	
	/**
	 * 自定义项5
	 */
	private String def5;
	
	/**
	 * 自定义项6
	 */
	private String def6;
	
	/**
	 * 自定义项7
	 */
	private String def7;
	
	/**
	 * 自定义项8
	 */
	private String def8;
	
	/**
	 * 自定义项9
	 */
	private String def9;
	
	/**
	 * 自定义项10
	 */
	private String def10;

	public String getPk_invoice_h() {
		return pk_invoice_h;
	}

	public void setPk_invoice_h(String pk_invoice_h) {
		this.pk_invoice_h = pk_invoice_h;
	}

	public String getImageId() {
		return imageId;
	}

	public void setImageId(String imageId) {
		this.imageId = imageId;
	}

	public String getImageUrl() {
		return imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	public String getInvoiceId() {
		return invoiceId;
	}

	public void setInvoiceId(String invoiceId) {
		this.invoiceId = invoiceId;
	}

	public String getInvoiceType() {
		return invoiceType;
	}

	public void setInvoiceType(String invoiceType) {
		this.invoiceType = invoiceType;
	}

	public String getIsAdd() {
		return isAdd;
	}

	public void setIsAdd(String isAdd) {
		this.isAdd = isAdd;
	}

	public String getIsChange() {
		return isChange;
	}

	public void setIsChange(String isChange) {
		this.isChange = isChange;
	}

	public String getScanTime() {
		return scanTime;
	}

	public void setScanTime(String scanTime) {
		this.scanTime = scanTime;
	}

	public String getScanUserId() {
		return scanUserId;
	}

	public void setScanUserId(String scanUserId) {
		this.scanUserId = scanUserId;
	}

	public String getScanUserName() {
		return scanUserName;
	}

	public void setScanUserName(String scanUserName) {
		this.scanUserName = scanUserName;
	}

	public String getTicketCode() {
		return ticketCode;
	}

	public void setTicketCode(String ticketCode) {
		this.ticketCode = ticketCode;
	}

	public String getAmountWithTax() {
		return amountWithTax;
	}

	public void setAmountWithTax(String amountWithTax) {
		this.amountWithTax = amountWithTax;
	}

	public String getAmountWithoutTax() {
		return amountWithoutTax;
	}

	public void setAmountWithoutTax(String amountWithoutTax) {
		this.amountWithoutTax = amountWithoutTax;
	}

	public String getCashierName() {
		return cashierName;
	}

	public void setCashierName(String cashierName) {
		this.cashierName = cashierName;
	}

	public String getCertificationNo() {
		return certificationNo;
	}

	public void setCertificationNo(String certificationNo) {
		this.certificationNo = certificationNo;
	}

	public String getChargeTaxAuthorityCode() {
		return chargeTaxAuthorityCode;
	}

	public void setChargeTaxAuthorityCode(String chargeTaxAuthorityCode) {
		this.chargeTaxAuthorityCode = chargeTaxAuthorityCode;
	}

	public String getChargeTaxAuthorityName() {
		return chargeTaxAuthorityName;
	}

	public void setChargeTaxAuthorityName(String chargeTaxAuthorityName) {
		this.chargeTaxAuthorityName = chargeTaxAuthorityName;
	}

	public String getCheckCode() {
		return checkCode;
	}

	public void setCheckCode(String checkCode) {
		this.checkCode = checkCode;
	}

	public String getCheckerName() {
		return checkerName;
	}

	public void setCheckerName(String checkerName) {
		this.checkerName = checkerName;
	}

	public String getCheckRemark() {
		return checkRemark;
	}

	public void setCheckRemark(String checkRemark) {
		this.checkRemark = checkRemark;
	}

	public String getCommodityInspectionNo() {
		return commodityInspectionNo;
	}

	public void setCommodityInspectionNo(String commodityInspectionNo) {
		this.commodityInspectionNo = commodityInspectionNo;
	}

	public String getDqCode() {
		return dqCode;
	}

	public void setDqCode(String dqCode) {
		this.dqCode = dqCode;
	}

	public String getDqName() {
		return dqName;
	}

	public void setDqName(String dqName) {
		this.dqName = dqName;
	}

	public String getEngineNo() {
		return engineNo;
	}

	public void setEngineNo(String engineNo) {
		this.engineNo = engineNo;
	}

	public String getImportCertificateNo() {
		return importCertificateNo;
	}

	public void setImportCertificateNo(String importCertificateNo) {
		this.importCertificateNo = importCertificateNo;
	}

	public String getInvoiceCode() {
		return invoiceCode;
	}

	public void setInvoiceCode(String invoiceCode) {
		this.invoiceCode = invoiceCode;
	}

	public String getInvoiceNo() {
		return invoiceNo;
	}

	public void setInvoiceNo(String invoiceNo) {
		this.invoiceNo = invoiceNo;
	}

	public String getInvoiceSheet() {
		return invoiceSheet;
	}

	public void setInvoiceSheet(String invoiceSheet) {
		this.invoiceSheet = invoiceSheet;
	}

	public String getInvoiceStatus() {
		return invoiceStatus;
	}

	public void setInvoiceStatus(String invoiceStatus) {
		this.invoiceStatus = invoiceStatus;
	}

	public String getInvoicerName() {
		return invoicerName;
	}

	public void setInvoicerName(String invoicerName) {
		this.invoicerName = invoicerName;
	}

	public String getIsReplace() {
		return isReplace;
	}

	public void setIsReplace(String isReplace) {
		this.isReplace = isReplace;
	}

	public String getMachineCode() {
		return machineCode;
	}

	public void setMachineCode(String machineCode) {
		this.machineCode = machineCode;
	}

	public String getMaxCapacity() {
		return maxCapacity;
	}

	public void setMaxCapacity(String maxCapacity) {
		this.maxCapacity = maxCapacity;
	}

	public String getPaperDrewDate() {
		return paperDrewDate;
	}

	public void setPaperDrewDate(String paperDrewDate) {
		this.paperDrewDate = paperDrewDate;
	}

	public String getParentImageId() {
		return parentImageId;
	}

	public void setParentImageId(String parentImageId) {
		this.parentImageId = parentImageId;
	}

	public String getProductionArea() {
		return productionArea;
	}

	public void setProductionArea(String productionArea) {
		this.productionArea = productionArea;
	}

	public String getPurchaserAddrTel() {
		return purchaserAddrTel;
	}

	public void setPurchaserAddrTel(String purchaserAddrTel) {
		this.purchaserAddrTel = purchaserAddrTel;
	}

	public String getPurchaserBankNameAccount() {
		return purchaserBankNameAccount;
	}

	public void setPurchaserBankNameAccount(String purchaserBankNameAccount) {
		this.purchaserBankNameAccount = purchaserBankNameAccount;
	}

	public String getPurchaserName() {
		return purchaserName;
	}

	public void setPurchaserName(String purchaserName) {
		this.purchaserName = purchaserName;
	}

	public String getPurchaserTaxNo() {
		return purchaserTaxNo;
	}

	public void setPurchaserTaxNo(String purchaserTaxNo) {
		this.purchaserTaxNo = purchaserTaxNo;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getSellerAddrTel() {
		return sellerAddrTel;
	}

	public void setSellerAddrTel(String sellerAddrTel) {
		this.sellerAddrTel = sellerAddrTel;
	}

	public String getSellerBankNameAccount() {
		return sellerBankNameAccount;
	}

	public void setSellerBankNameAccount(String sellerBankNameAccount) {
		this.sellerBankNameAccount = sellerBankNameAccount;
	}

	public String getSellerName() {
		return sellerName;
	}

	public void setSellerName(String sellerName) {
		this.sellerName = sellerName;
	}

	public String getSellerTaxNo() {
		return sellerTaxNo;
	}

	public void setSellerTaxNo(String sellerTaxNo) {
		this.sellerTaxNo = sellerTaxNo;
	}

	public String getSourceFileUrl() {
		return sourceFileUrl;
	}

	public void setSourceFileUrl(String sourceFileUrl) {
		this.sourceFileUrl = sourceFileUrl;
	}

	public String getSpecialInvoiceFlag() {
		return specialInvoiceFlag;
	}

	public void setSpecialInvoiceFlag(String specialInvoiceFlag) {
		this.specialInvoiceFlag = specialInvoiceFlag;
	}

	public String getTaxAmount() {
		return taxAmount;
	}

	public void setTaxAmount(String taxAmount) {
		this.taxAmount = taxAmount;
	}

	public String getTaxPaidProof() {
		return taxPaidProof;
	}

	public void setTaxPaidProof(String taxPaidProof) {
		this.taxPaidProof = taxPaidProof;
	}

	public String getTaxRate() {
		return taxRate;
	}

	public void setTaxRate(String taxRate) {
		this.taxRate = taxRate;
	}

	public String getTonnage() {
		return tonnage;
	}

	public void setTonnage(String tonnage) {
		this.tonnage = tonnage;
	}

	public String getVehicleBrand() {
		return vehicleBrand;
	}

	public void setVehicleBrand(String vehicleBrand) {
		this.vehicleBrand = vehicleBrand;
	}

	public String getVehicleNo() {
		return vehicleNo;
	}

	public void setVehicleNo(String vehicleNo) {
		this.vehicleNo = vehicleNo;
	}

	public String getVehicleType() {
		return vehicleType;
	}

	public void setVehicleType(String vehicleType) {
		this.vehicleType = vehicleType;
	}

	public String getWarningInfo() {
		return warningInfo;
	}

	public void setWarningInfo(String warningInfo) {
		this.warningInfo = warningInfo;
	}

	public String getCertificateNo() {
		return certificateNo;
	}

	public void setCertificateNo(String certificateNo) {
		this.certificateNo = certificateNo;
	}

	public String getEndStation() {
		return endStation;
	}

	public void setEndStation(String endStation) {
		this.endStation = endStation;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getQrcode() {
		return qrcode;
	}

	public void setQrcode(String qrcode) {
		this.qrcode = qrcode;
	}

	public String getSeat() {
		return seat;
	}

	public void setSeat(String seat) {
		this.seat = seat;
	}

	public String getSeatType() {
		return seatType;
	}

	public void setSeatType(String seatType) {
		this.seatType = seatType;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getStartStation() {
		return startStation;
	}

	public void setStartStation(String startStation) {
		this.startStation = startStation;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getTrains() {
		return trains;
	}

	public void setTrains(String trains) {
		this.trains = trains;
	}

	public String getGetOffTime() {
		return getOffTime;
	}

	public void setGetOffTime(String getOffTime) {
		this.getOffTime = getOffTime;
	}

	public String getGetOnTime() {
		return getOnTime;
	}

	public void setGetOnTime(String getOnTime) {
		this.getOnTime = getOnTime;
	}

	public String getMileage() {
		return mileage;
	}

	public void setMileage(String mileage) {
		this.mileage = mileage;
	}

	public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

	public String getAgentCode() {
		return agentCode;
	}

	public void setAgentCode(String agentCode) {
		this.agentCode = agentCode;
	}

	public String getCaacDevelopmentFund() {
		return caacDevelopmentFund;
	}

	public void setCaacDevelopmentFund(String caacDevelopmentFund) {
		this.caacDevelopmentFund = caacDevelopmentFund;
	}

	public String getDateOfIssue() {
		return dateOfIssue;
	}

	public void setDateOfIssue(String dateOfIssue) {
		this.dateOfIssue = dateOfIssue;
	}

	public String geteTicketNo() {
		return eTicketNo;
	}

	public void seteTicketNo(String eTicketNo) {
		this.eTicketNo = eTicketNo;
	}

	public String getEndorsements() {
		return endorsements;
	}

	public void setEndorsements(String endorsements) {
		this.endorsements = endorsements;
	}

	public String getFare() {
		return fare;
	}

	public void setFare(String fare) {
		this.fare = fare;
	}

	public String getFuelSurcharge() {
		return fuelSurcharge;
	}

	public void setFuelSurcharge(String fuelSurcharge) {
		this.fuelSurcharge = fuelSurcharge;
	}

	public String getIdNo() {
		return idNo;
	}

	public void setIdNo(String idNo) {
		this.idNo = idNo;
	}

	public String getInformation() {
		return information;
	}

	public void setInformation(String information) {
		this.information = information;
	}

	public String getInsurance() {
		return insurance;
	}

	public void setInsurance(String insurance) {
		this.insurance = insurance;
	}

	public String getIssuedBy() {
		return issuedBy;
	}

	public void setIssuedBy(String issuedBy) {
		this.issuedBy = issuedBy;
	}

	public String getNameOfPassenger() {
		return nameOfPassenger;
	}

	public void setNameOfPassenger(String nameOfPassenger) {
		this.nameOfPassenger = nameOfPassenger;
	}

	public String getSerialNo() {
		return serialNo;
	}

	public void setSerialNo(String serialNo) {
		this.serialNo = serialNo;
	}

	public String getTax() {
		return tax;
	}

	public void setTax(String tax) {
		this.tax = tax;
	}

	public String getTotal() {
		return total;
	}

	public void setTotal(String total) {
		this.total = total;
	}

	public String getCarrier() {
		return carrier;
	}

	public void setCarrier(String carrier) {
		this.carrier = carrier;
	}

	public String getEntrancePlace() {
		return entrancePlace;
	}

	public void setEntrancePlace(String entrancePlace) {
		this.entrancePlace = entrancePlace;
	}

	public String getExitplace() {
		return exitplace;
	}

	public void setExitplace(String exitplace) {
		this.exitplace = exitplace;
	}

	public String getPayment() {
		return payment;
	}

	public void setPayment(String payment) {
		this.payment = payment;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getTollLimit() {
		return tollLimit;
	}

	public void setTollLimit(String tollLimit) {
		this.tollLimit = tollLimit;
	}

	public String getVehiclesType() {
		return vehiclesType;
	}

	public void setVehiclesType(String vehiclesType) {
		this.vehiclesType = vehiclesType;
	}

	public String getVehiclesWeight() {
		return vehiclesWeight;
	}

	public void setVehiclesWeight(String vehiclesWeight) {
		this.vehiclesWeight = vehiclesWeight;
	}

	public String getAuctioneersAddress() {
		return auctioneersAddress;
	}

	public void setAuctioneersAddress(String auctioneersAddress) {
		this.auctioneersAddress = auctioneersAddress;
	}

	public String getAuctioneersBankInfo() {
		return auctioneersBankInfo;
	}

	public void setAuctioneersBankInfo(String auctioneersBankInfo) {
		this.auctioneersBankInfo = auctioneersBankInfo;
	}

	public String getAuctioneersName() {
		return auctioneersName;
	}

	public void setAuctioneersName(String auctioneersName) {
		this.auctioneersName = auctioneersName;
	}

	public String getAuctioneersTaxNo() {
		return auctioneersTaxNo;
	}

	public void setAuctioneersTaxNo(String auctioneersTaxNo) {
		this.auctioneersTaxNo = auctioneersTaxNo;
	}

	public String getAuctioneersTel() {
		return auctioneersTel;
	}

	public void setAuctioneersTel(String auctioneersTel) {
		this.auctioneersTel = auctioneersTel;
	}

	public String getCarNumber() {
		return carNumber;
	}

	public void setCarNumber(String carNumber) {
		this.carNumber = carNumber;
	}

	public String getDpName() {
		return dpName;
	}

	public void setDpName(String dpName) {
		this.dpName = dpName;
	}

	public String getRegistrationNo() {
		return registrationNo;
	}

	public void setRegistrationNo(String registrationNo) {
		this.registrationNo = registrationNo;
	}

	public String getUsedCarMarketAddress() {
		return usedCarMarketAddress;
	}

	public void setUsedCarMarketAddress(String usedCarMarketAddress) {
		this.usedCarMarketAddress = usedCarMarketAddress;
	}

	public String getUsedCarMarketBankInfo() {
		return usedCarMarketBankInfo;
	}

	public void setUsedCarMarketBankInfo(String usedCarMarketBankInfo) {
		this.usedCarMarketBankInfo = usedCarMarketBankInfo;
	}

	public String getUsedCarMarketName() {
		return usedCarMarketName;
	}

	public void setUsedCarMarketName(String usedCarMarketName) {
		this.usedCarMarketName = usedCarMarketName;
	}

	public String getUsedCarMarketTaxNo() {
		return usedCarMarketTaxNo;
	}

	public void setUsedCarMarketTaxNo(String usedCarMarketTaxNo) {
		this.usedCarMarketTaxNo = usedCarMarketTaxNo;
	}

	public String getUsedCarMarketTel() {
		return usedCarMarketTel;
	}

	public void setUsedCarMarketTel(String usedCarMarketTel) {
		this.usedCarMarketTel = usedCarMarketTel;
	}

	public String getVehiclePlaceName() {
		return vehiclePlaceName;
	}

	public void setVehiclePlaceName(String vehiclePlaceName) {
		this.vehiclePlaceName = vehiclePlaceName;
	}

	public String getPurchaserAddress() {
		return purchaserAddress;
	}

	public void setPurchaserAddress(String purchaserAddress) {
		this.purchaserAddress = purchaserAddress;
	}

	public String getPurchaserTel() {
		return purchaserTel;
	}

	public void setPurchaserTel(String purchaserTel) {
		this.purchaserTel = purchaserTel;
	}

	public String getSellerAddress() {
		return sellerAddress;
	}

	public void setSellerAddress(String sellerAddress) {
		this.sellerAddress = sellerAddress;
	}

	public String getSellerBankName() {
		return sellerBankName;
	}

	public void setSellerBankName(String sellerBankName) {
		this.sellerBankName = sellerBankName;
	}

	public String getSellerBankAccount() {
		return sellerBankAccount;
	}

	public void setSellerBankAccount(String sellerBankAccount) {
		this.sellerBankAccount = sellerBankAccount;
	}

	public String getSellerTel() {
		return sellerTel;
	}

	public void setSellerTel(String sellerTel) {
		this.sellerTel = sellerTel;
	}

	public String getCipherText() {
		return cipherText;
	}

	public void setCipherText(String cipherText) {
		this.cipherText = cipherText;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getNetworkNo() {
		return networkNo;
	}

	public void setNetworkNo(String networkNo) {
		this.networkNo = networkNo;
	}

	public String getPurchaserCode() {
		return purchaserCode;
	}

	public void setPurchaserCode(String purchaserCode) {
		this.purchaserCode = purchaserCode;
	}

	public String getPurchaserBankInfo() {
		return purchaserBankInfo;
	}

	public void setPurchaserBankInfo(String purchaserBankInfo) {
		this.purchaserBankInfo = purchaserBankInfo;
	}

	public String getPurchaserBankName() {
		return purchaserBankName;
	}

	public void setPurchaserBankName(String purchaserBankName) {
		this.purchaserBankName = purchaserBankName;
	}

	public String getPurchaserBankAccount() {
		return purchaserBankAccount;
	}

	public void setPurchaserBankAccount(String purchaserBankAccount) {
		this.purchaserBankAccount = purchaserBankAccount;
	}

	public String getSellerCode() {
		return sellerCode;
	}

	public void setSellerCode(String sellerCode) {
		this.sellerCode = sellerCode;
	}

	public String getSellerBankInfo() {
		return sellerBankInfo;
	}

	public void setSellerBankInfo(String sellerBankInfo) {
		this.sellerBankInfo = sellerBankInfo;
	}

	public String getPayee() {
		return payee;
	}

	public void setPayee(String payee) {
		this.payee = payee;
	}

	public String getRecheck() {
		return recheck;
	}

	public void setRecheck(String recheck) {
		this.recheck = recheck;
	}

	public String getDrawer() {
		return drawer;
	}

	public void setDrawer(String drawer) {
		this.drawer = drawer;
	}

	public String getInvoiceDate() {
		return invoiceDate;
	}

	public void setInvoiceDate(String invoiceDate) {
		this.invoiceDate = invoiceDate;
	}

	public String getIsSalesList() {
		return isSalesList;
	}

	public void setIsSalesList(String isSalesList) {
		this.isSalesList = isSalesList;
	}

	public String getSubAmountWithoutTax() {
		return subAmountWithoutTax;
	}

	public void setSubAmountWithoutTax(String subAmountWithoutTax) {
		this.subAmountWithoutTax = subAmountWithoutTax;
	}

	public String getSubTaxAmount() {
		return subTaxAmount;
	}

	public void setSubTaxAmount(String subTaxAmount) {
		this.subTaxAmount = subTaxAmount;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public int getDr() {
		return dr;
	}

	public void setDr(int dr) {
		this.dr = dr;
	}

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getDef6() {
		return def6;
	}

	public void setDef6(String def6) {
		this.def6 = def6;
	}

	public String getDef7() {
		return def7;
	}

	public void setDef7(String def7) {
		this.def7 = def7;
	}

	public String getDef8() {
		return def8;
	}

	public void setDef8(String def8) {
		this.def8 = def8;
	}

	public String getDef9() {
		return def9;
	}

	public void setDef9(String def9) {
		this.def9 = def9;
	}

	public String getDef10() {
		return def10;
	}

	public void setDef10(String def10) {
		this.def10 = def10;
	}
	
	@Override
	public String getPKFieldName() {
		return "pk_invoice_h";
	}

	@Override
	public String getTableName() {
		return "image_invoice_h";
	} 
	

}
